import 'dart:ui';

import 'package:pmu_new/data/repositories/api_Interface.dart';

import '../../models/CardData.dart';

class MockRepository extends ApiInterface {
  @override
  Future<List<CardData>?> loadData({OnErrorCallback? onError}) async {
    final data = [
      CardData(
        'Фрукты',
        descriptionText:
            'Какие же они полезные и сладкие!!!! Generate Lorem Ipsum placeholder text for use in your graphic, print and web layouts, and discover plugins for your favorite writing, design and blogging tools',
        imageUrl:
            'https://media.gettyimages.com/id/182810893/photo/fruit-mix.jpg?s=612x612&w=0&k=20&c=v9jopDXbS5LCXY1d8uSwEldLJVVkOpYtYtyHD8azWDU=',
      ),
      CardData(
        'Киви',
        descriptionText:
            'сладкий и спелый, можно купить по акции прямо сейчас звоните не пожалеете',
        imageUrl: 'https://www.diyphotography.net/files/images/3/pictures-of-sliced-fruits-09b.jpg',
      ),
      CardData(
        'Банан',
        descriptionText: 'Ого, че с ним произошло',
        imageUrl: 'https://www.diyphotography.net/files/images/3/pictures-of-sliced-fruits-01.jpg',
      ),
    ];
    return data;
  }
}
