import 'package:equatable/equatable.dart';
import 'package:copy_with_extension/copy_with_extension.dart';
import '../../../models/CardData.dart';
part 'state.g.dart';

@CopyWith()
class HomeState extends Equatable {
  final List<CardData>? data;
  final bool isLoading;
  final String? error;

  const HomeState({
    this.data,
    this.isLoading = false,
    this.error,
  });


  @override
  List<Object?> get props => [
        data,
        isLoading,
        error,
      ];
}
